package org.rcisoft.business.bbanner.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.hibernate.validator.constraints.Length;

import javax.validation.constraints.NotNull;

@Data
public class TopDownDTO {

    @NotNull
    @Length(min = 1,max = 50,message = "长度最小为1,最大为50")
    @ApiModelProperty(value = "主键",required = true,dataType = "varchar")
    private String businessId;

    @NotNull
    @ApiModelProperty(value = "排序",required = true,dataType = "int")
    private Integer bannerSort;
}
