package org.rcisoft.business.bchapter.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class AddChapterDTO {

    @ApiModelProperty(value = "章/节名")
    private String chapterName;

    @ApiModelProperty(value = "当前章节所属课程的课程id")
    private String lessonId;

    @ApiModelProperty(value = "章节等级： 1章  2节")
    private String chapterLevel;

    @ApiModelProperty(value = "章/节id（修改章节时需要 输入被修改章节的businessId）")
    private String businessId;

    @ApiModelProperty(value = "上一级id  （添加节 需要）")
    private String pid;

    @ApiModelProperty(value = "课件类型（单选） 1视频  2音频  3PPT 4pdf 5资料")
    private String isTest;

    @ApiModelProperty(value = "排序字段  （不需要传入）")
    private String sort;

    @ApiModelProperty(value = "课时 默认一节1课时（无需传入参数）")
    private String classHour;
}
