package org.rcisoft.business.bfile.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.hibernate.validator.constraints.Length;


@Data
public class SelectPaginDTO {

    @ApiModelProperty(value = "主键")
    @Length(min = 1,max = 64,message = "长度最小为1,最大为50")
    private String businessId;

    @ApiModelProperty(value = "视频名称")
    @Length(min = 1,max = 256,message = "长度最小为1,最大为200")
    private String videoName;

    @ApiModelProperty(value = "视频地址")
    @Length(min = 1,max = 256,message = "长度最小为1,最大为200")
    private String videoUrl;

    @ApiModelProperty(value = "'0'为视频，'1'为附件")
    private String type;

    @ApiModelProperty(value = "备注")
    private String remarks;
}
