package org.rcisoft.business.blabel.service;

import org.rcisoft.business.blabel.entity.BLabel;
import org.rcisoft.core.aop.PageUtil;
import org.rcisoft.core.model.PersistModel;
import org.rcisoft.sys.user.bean.CurUser;

import java.util.List;

public interface BLabelService {

    List<BLabel> queryBlabelsByPagination(PageUtil pageUtil, String lName,String corpId);

    List<BLabel> queryBlabels(String lName,CurUser curUser);

    PersistModel insertLabel(BLabel bLabel, CurUser curUser);

    PersistModel updateLabel(BLabel bLabel, CurUser curUser);

    PersistModel removeLabel(String id);
}
