package org.rcisoft.business.blesson.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.hibernate.validator.constraints.Length;


/**
 * 我发布的课程
 */
@Data
public class BLessonIPublishDTO {

    @Length(min = 1,max = 1,message = "长度最小为1,最大为1")
    @ApiModelProperty(value = "发布状态（0：待发布 1：审核中 2：已发布 3：已驳回 4：已关闭）",required = false)
    private String releaseState;

}
