package org.rcisoft.business.blesson.util;

import org.rcisoft.common.util.feignDto.MTUserInfoRspDTO;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

/**
 * 遍历获取部门
 */
public class QueryDepart {
    public static List<String> queryDepart(List<MTUserInfoRspDTO> mtUserInfoRspDTOList){
        if (mtUserInfoRspDTOList == null || mtUserInfoRspDTOList.size() < 1){
            return new ArrayList<>();
        }
        List<String> departs = new ArrayList<>();
        mtUserInfoRspDTOList.forEach(mtUserInfoRspDTO -> {
            List<MTUserInfoRspDTO.DeptsBean> deptsBeans = mtUserInfoRspDTO.getDepts();
            if (deptsBeans == null || deptsBeans.size() < 1){
                return;
            }
            deptsBeans.forEach(deptsBean -> {
                departs.addAll(Arrays.asList(deptsBean.getPids().split(",")));
                departs.add(deptsBean.getId());
//                departs.addAll(Arrays.asList(deptsBean.getPid().split(",")));
            });
        });
        return departs;
    }
}
