package org.rcisoft.business.bmessage.entity;

import lombok.*;

import org.hibernate.validator.constraints.Length;
import org.rcisoft.core.entity.IdEntity;
import javax.persistence.*;
import java.math.BigDecimal;
import java.math.BigInteger;
import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
* Created with  on 2019-11-25 10:55:03.
*/
@Entity
@Data
@NoArgsConstructor
@AllArgsConstructor
@Table(name = "b_message")
public class BMessage  extends IdEntity<BMessage> {



     private String name;

     @Length(min = 0,max = 5,message = "长度最小为1,最大为50")
     private String timeValue;

     private String valueType;

     private String corpId;

     private Integer sort;


}

