package org.rcisoft.business.bpersonvalue.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.hibernate.validator.constraints.Length;

import java.util.Date;

@Data
public class PersonValueClientDto {

    @ApiModelProperty(value = "用户Id")
    public String businessId;

    @ApiModelProperty(value = "起始时间")
    public String startTime;

    @ApiModelProperty(value = "结束时间")
    public String endTime;

    @ApiModelProperty(value = "事件")
    @Length(max = 30,message = "长度最大为30")
    public String event;

    @ApiModelProperty(value = "类型 0 + 1-")
    public String type;

    @ApiModelProperty(value = "时间排序 0正序 1倒序")
    public String dateSort;

    @ApiModelProperty(value = "积分排序 0正序 1倒序")
    public String valueSort;

}
