package org.rcisoft.core.util;


import lombok.extern.slf4j.Slf4j;

import java.io.File;

@Slf4j
public class DeleteFileUtil {

    public static void main(String[] args) {
        String path = "C:\\Users\\三\\Desktop\\deleteFile\\deleteFile";
        DeleteFileUtil.delMediaFile(path);
    }


    public static void delFolder(String folderPath) {
        try {
            delAllFile(folderPath); //删除完里面所有内容
            String filePath = folderPath;
            filePath = filePath.toString();
            java.io.File myFilePath = new java.io.File(filePath);
            myFilePath.delete(); //删除空文件夹
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    public static void delMedia(String folderPath) {
        try {
            delMediaFile(folderPath); //删除完里面所有内容
            String filePath = folderPath;
            filePath = filePath.toString();
            java.io.File myFilePath = new java.io.File(filePath);
            if(myFilePath.isDirectory()){
                File[] listFiles = myFilePath.listFiles();
                if(listFiles != null && listFiles.length < 1){
                    myFilePath.delete(); //删除空文件夹
                }
            }
        } catch (Exception e) {
            e.printStackTrace();
        }
    }



    public static boolean delAllFile(String path) {
        boolean flag = false;
        File file = new File(path);
        if (!file.exists()) {
            return flag;
        }
        if (!file.isDirectory()) {
            return flag;
        }
        String[] tempList = file.list();
        File temp = null;
        for (int i = 0; i < tempList.length; i++) {
            if (path.endsWith(File.separator)) {
                temp = new File(path + tempList[i]);
            } else {
                temp = new File(path + File.separator + tempList[i]);
            }
            if (temp.isFile()) {
                temp.delete();
            }
            if (temp.isDirectory()) {
                delAllFile(path + "/" + tempList[i]);//先删除文件夹里面的文件
                delFolder(path + "/" + tempList[i]);//再删除空文件夹
                flag = true;
            }
        }
        return flag;
    }


    public static boolean delMediaFile(String path) {
        boolean flag = false;
        File file = new File(path);
        if (!file.exists()) {
            return flag;
        }
        if (!file.isDirectory()) {
            return flag;
        }
        String[] tempList = file.list();
        File temp = null;
        for (int i = 0; i < tempList.length; i++) {
            if (path.endsWith(File.separator)) {
                temp = new File(path + tempList[i]);
            } else {
                temp = new File(path + File.separator + tempList[i]);
            }
            String fileName = temp.getName();
            String suffix = fileName.substring(fileName.lastIndexOf(".") + 1);
            if (temp.isFile() && ("mp4".equals(suffix) || "mp3".equals(suffix))) {
                temp.delete();
            }
            if (temp.isDirectory()) {
                delMedia(path + "/" + tempList[i]);//先删除文件夹里面的文件
                delMedia(path + "/" + tempList[i]);//再删除空文件夹
                flag = true;
            }
        }
        return flag;
    }
}



