/*
Navicat MySQL Data Transfer

Source Server         : localhost
Source Server Version : 50627
Source Host           : 127.0.0.1:3306
Source Database       : edu_db

Target Server Type    : MYSQL
Target Server Version : 50627
File Encoding         : 65001

Date: 2018-05-02 17:14:01
*/

SET FOREIGN_KEY_CHECKS=0;

-- ----------------------------
-- Table structure for b_company
-- ----------------------------
DROP TABLE IF EXISTS `b_company`;
CREATE TABLE `b_company` (
  `business_id` varchar(255) COLLATE utf8_bin NOT NULL,
  `code` varchar(15) CHARACTER SET utf8 DEFAULT NULL,
  `create_by` varchar(64) CHARACTER SET utf8 DEFAULT NULL COMMENT '创建者',
  `update_by` varchar(64) CHARACTER SET utf8 DEFAULT NULL COMMENT '更新者',
  `del_flag` varchar(1) CHARACTER SET utf8 DEFAULT NULL COMMENT '删除标记（0：未删除；1：删除）',
  `flag` varchar(1) CHARACTER SET utf8 DEFAULT NULL COMMENT '启用标记（0：停用；1：启用）',
  `remarks` varchar(64) CHARACTER SET utf8 DEFAULT NULL COMMENT '备注',
  `update_date` datetime DEFAULT NULL,
  `create_date` datetime DEFAULT NULL,
  `agency_code` varchar(64) CHARACTER SET utf8 DEFAULT NULL COMMENT '所属教学单位',
  PRIMARY KEY (`business_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_bin;

-- ----------------------------
-- Records of b_company
-- ----------------------------
