/*
Navicat MySQL Data Transfer

Source Server         : 127.0.0.1_3306
Source Server Version : 50717
Source Host           : localhost:3306
Source Database       : edu_datacenter

Target Server Type    : MYSQL
Target Server Version : 50717
File Encoding         : 65001

Date: 2018-05-02 15:04:53
*/

SET FOREIGN_KEY_CHECKS=0;

-- ----------------------------
-- Table structure for b_sl_schedule
-- ----------------------------
DROP TABLE IF EXISTS `b_sl_schedule`;
CREATE TABLE `b_sl_schedule` (
  `business_id` varchar(64) NOT NULL,
  `create_by` varchar(45) DEFAULT NULL,
  `update_by` varchar(45) DEFAULT NULL,
  `del_flag` varchar(1) DEFAULT NULL,
  `flag` varchar(1) DEFAULT NULL,
  `update_date` datetime DEFAULT NULL,
  `create_date` datetime DEFAULT NULL,
  `remarks` varchar(64) DEFAULT NULL,
  `sl_id` varchar(64) DEFAULT NULL COMMENT '开课id',
  `room_id` varchar(64) DEFAULT NULL COMMENT '教室id',
  `term_id` varchar(64) DEFAULT NULL COMMENT '学期id',
  `tea_id` varchar(64) DEFAULT NULL COMMENT '教师id',
  `node_id` varchar(64) DEFAULT NULL COMMENT '节点id',
  `start_date` datetime DEFAULT NULL,
  `end_date` datetime DEFAULT NULL,
  `start_day` date DEFAULT NULL COMMENT '上课天',
  `sl_state` varchar(1) DEFAULT NULL COMMENT '0.正常 1.调课 2.节假日调整 3.节假日取消 4.取消',
  PRIMARY KEY (`business_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='开课日程表';
