package org.rcisoft.business.bdiscuss.dto;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.rcisoft.business.bdiscuss.entity.BDiscuss;
import org.rcisoft.core.entity.IdEntity;

import javax.persistence.Entity;
import javax.persistence.Table;
import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.List;

/**
* Created with  on 2019-9-25 9:03:08.
*/
@Data
public class BDiscussDto extends BDiscuss {

     private List<BDiscussDto> bDiscussChildList;

     private String studentName;

     private String headPic;

     private String replyToId;

     private String replyToName;

     private String discussDate;

     private String discussTime;

     public void setDiscussDate() {
          SimpleDateFormat sdf =new SimpleDateFormat("yyyy/MM/dd" );
          this.discussDate = sdf.format(getCreateDate());
     }

     public void setDiscussTime() {
          SimpleDateFormat sdf =new SimpleDateFormat("HH:mm" );
          this.discussTime = sdf.format(getCreateDate());
     }
}

