package org.rcisoft.business.bfile.entity;

import io.swagger.annotations.ApiModelProperty;
import lombok.*;

import org.rcisoft.core.entity.IdEntity;
import javax.persistence.*;
import java.math.BigDecimal;
import java.math.BigInteger;
import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
* Created with  on 2019-10-21 17:51:47.
*/
@Entity
@Data
@NoArgsConstructor
@AllArgsConstructor
@Table(name = "b_train_file")
public class BTrainFile  extends IdEntity<BTrainFile> {


     @ApiModelProperty(value = "课程id")
     private String lessonId;
     @ApiModelProperty(value = "文件名")
     private String fileName;
     @ApiModelProperty(value = "文件路径")
     private String videoUrl;
//     @ApiModelProperty(value = "文件路径")
     private String fileUrl;
     @ApiModelProperty(value = "文件大小")
     private String fileSize;
     @ApiModelProperty(value = "文件类型  2PPT 3PDF 4word 5txt 6zip 7png 8xlsx")
     private String type;
     @ApiModelProperty(value = "用于排序 不用传值")
     private String sort;


}

