package org.rcisoft.business.blesson.dao;


import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;
import org.rcisoft.business.blesson.entity.BHot;
import org.rcisoft.core.base.BaseMapper;
import org.springframework.stereotype.Repository;


/**
* Created with  on 2019-10-25 22:38:38.
*/
@Repository
public interface BHotRepository extends BaseMapper<BHot> {

    @Select("<script>select count(1) from b_hot where person_id=#{userId} and lesson_id = #{lessonId} " +
            "</script>")
    int selectCountByPersonId(@Param("userId") String userId, @Param("lessonId") String lessonId);

}

