package org.rcisoft.business.blesson.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.rcisoft.common.util.feignDto.DeptGetRspDTO;
import org.rcisoft.common.util.feignDto.FindDepartByNameDTO;

import java.util.List;

@Data
public class FindLessonRecommendDTO {

    @ApiModelProperty(value = "查询参数",required = false)
    private String viewParam;

    @ApiModelProperty(value = "课程Id",required = true)
    private String lessonId;

    private List<FindDepartByNameDTO> departs;

    private String userId;

    private String corpId;

}
