package org.rcisoft.business.bmaterial.entity;

import io.swagger.annotations.ApiModelProperty;
import lombok.*;

import org.rcisoft.core.entity.IdEntity;
import javax.persistence.*;

/**
* Created with  on 2019-10-12 10:38:31.
*/
@Entity
@Data
@NoArgsConstructor
@AllArgsConstructor
@Table(name = "b_material")
public class BMaterial  extends IdEntity<BMaterial> {


     @ApiModelProperty(value = "章节ID")
     private String chapterId;

     @ApiModelProperty(value = "文件名称",required = true)
     private String fileName;

     @ApiModelProperty(value = "文件地址",required = true)
     private String fileUrl;

     @ApiModelProperty(value = "0视频 1音频  2PPT 3PDF 4word 5excel 6text 7jpg/jpeg  8png 9gif 10bmp  11 rar 12 zip",required = true)
     private String type;

     @ApiModelProperty(value = "上传类型 0 保存 1 上传")
     private String uploadType;

     @ApiModelProperty(value = "文件大小",required = true)
     private String fileSize;

     @ApiModelProperty(value = "课程id",required = true)
     private String lessonId;

     @ApiModelProperty(value = "文件时长")
     private String fileTime;

     @ApiModelProperty(value = "课程名")
     @Transient
     private String lessonName;

     @ApiModelProperty(value = "课程类型")
     @Transient
     private String lessonType;

     @ApiModelProperty(value = "来源")
     @Transient
     private String source;

     @Transient
     private String corpId;


}

